| degapseqrunner

## Function

Degapseq all sequence pairs in a directory

## Description

**************** EDIT HERE ****************

## Algorithm

**************** EDIT HERE ****************

## Usage

Under development, no final example yet

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-gappedseqsdir]     dirlist    Input directory of files containing sequence
                                      pairs for degapping
      [-commandpath]       directory  Directory where degapping executable lives
      [-commandname]       string     Name of degapping executable
      [-degappedseqsoutdir] outdir     Directory where degapped sequence pairs will
                                      be written
      [-outfilesuffix]     string     Appended to end of all output file names

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers: (none)
       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write standard output
       -filter             boolean    Read standard input, write standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report deaths

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-gappedseqsdir] (Parameter 1) | Input directory of files containing sequence pairs for degapping | Directory with files | .
[-commandpath] (Parameter 2) | Directory where degapping executable lives | Directory |
[-commandname] (Parameter 3) | Name of degapping executable | Any string is accepted | degapseq
[-degappedseqsoutdir] (Parameter 4) | Directory where degapped sequence pairs will be written | Output directory |
[-outfilesuffix] (Parameter 5) | Appended to end of all output file names | Any string is accepted | .deg
Additional (Optional) qualifiers | Allowed values | Default
(none)
Advanced (Unprompted) qualifiers | Allowed values | Default
(none)

## Input file format

degapseqrunner reads any normal sequence USAs.

Under development, no example input file(s) yet

## Output file format

degapseqrunner outputs a graph to the specified graphics device. outputs a report format file. The default format is ...

Under development, no example output file(s) yet

## Data files

**************** EDIT HERE ****************

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
biosed | Replace or delete sequence sections
codcopy | Reads and writes a codon usage table
cutseq | Removes a specified section from a sequence
degapseq | Removes gap characters from sequences
descseq | Alter the name or description of a sequence
entret | Reads and writes (returns) flatfile entries
extractfeat | Extract features from a sequence
extractseq | Extract regions from a sequence
listor | Write a list file of the logical OR of two sets of sequences
maskfeat | Mask off features of a sequence
maskseq | Mask off regions of a sequence
newseq | Type in a short new sequence
noreturn | Removes carriage return from ASCII files
notseq | Exclude a set of sequences and write out the remaining ones
nthseq | Writes one sequence from a multiple set of sequences
pasteseq | Insert one sequence into another
revseq | Reverse and complement a sequence
seqret | Reads and writes (returns) sequences
seqretsplit | Reads and writes (returns) sequences in individual files
skipseq | Reads and writes (returns) sequences, skipping first few
splitter | Split a sequence into (overlapping) smaller sequences
trimest | Trim poly-A tails off EST sequences
trimseq | Trim ambiguous bits off the ends of sequences
union | Reads sequence fragments and builds one sequence
vectorstrip | Strips out DNA between a pair of vector sequences
yank | Reads a sequence range, appends the full USA to a list file

## Author(s)

Damian Counsell (d.counsell © rfcgr.mrc.ac.uk)
MRC Rosalind Franklin Centre for Genomics Research Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SB, UK

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None